Subject: Re: <draft-ietf-6man-rfc2460bis-09.txt>

From: "C. M. Heard" <[email-masked]>
Date: Sun, 9 Apr 2017 10:39:48 -0700

On Mon, 10 Apr 2017 03:23:27 +1200, Brian E Carpenter wrote:
>>>>> or a statement that this document just applies to
>>>>> IPv6 traffic intended to cross the Internet (as suggested at the 6man
>>>>> meeting in Chicago [4])...
>
> See above - Fernando and I have exactly opposite opinions on this.

With due respect to Fernando, I strongly support Brian's proposed revision
to the introduction as an appropriate way to address this concern.

>>> The other tiny change would be to qualify the "Note:..." by writing
>>> "Note: If an intermediate forwarding node _nevertheless_ examines
>>> an extension header for any reason,...". That would eliminate the
>>> minor inconsistency that the text refers to "one" exception.

I support this change also.

On Sun, 9 Apr 2017 12:11:38 +0100, Fernando Gont wrote:
> The text currently says:
>
>    With one exception, extension headers are not examined, processed,
>    inserted, or deleted by any node along a packet's delivery path,
>    until the packet reaches the node (or each of the set of nodes, in
>    the case of multicast) identified in the Destination Address field of
>    the IPv6 header.
>
> That is certainly misleading, since the exception is only about
> "examined and processed", but not about "inserted or deleted".
>
> The text should be unfolded such that it is clear that the exception
> only has to do with HBH being examined and processed, [and] not about
> HBH being inserted or deleted.

Not necessary; the paragraph below describing the exception says:

   The exception referred to in the preceding paragraph is the Hop-by-
   Hop Options header, which carries information that may be examined
   and processed by every node along a packet's delivery path, including
   the source and destination nodes.  The Hop-by-Hop Options header,
   when present, must immediately follow the IPv6 header.  Its presence
   is indicated by the value zero in the Next Header field of the IPv6
   header.

That, to me at least, makes it perfectly clear that the exception allows
HbH options to be examined and processed only; since it makes no provision
for insertion or deletion, the prohibition in the text above still applies.

Mike Heard